Subject: Re: JMP> Job MIB comments [from Harry Lewis]

From: [email-masked] (Ira Mcdonald x10962)
Date: Thu, 19 Jun 1997 18:40:38 PDT

Hi Harry and Tom,                                Thursday (19 June 1997)

Per Tom's request (below), I am replying to Harry's remarks about
'IMPLIED' and 'DateAndTime'.  Harry's argument is flawed for several
reasons.  'DateAndTime' is NOT an SMIv2 construct - it was borrowed in
SNMPv2-TC (RFC 1903) from the SMIv1-based HR MIB (RFC 1514) - it is used
in other existing SMIv1 MIBs.  I believe that it is CRITICAL to keep
the IETF Job Mon and Printer MIBs free from SMIv2 types or constructs
which CANNOT be translated to SMIv1 (and thus cannot be supported via
an SNMPv2/SNMPv1 Proxy agent or a native SNMPv1 device).  The IMPLIED
keyword CANNOT be translated to SMIv1 (you can't write SMIv1 ASN.1
that will translate to the same over-the-wire encoding).  Why are we
even considering such a construct to save ONE byte on each LONG object
instance identifier.  This is misguided.  Sorry for the fuss, Harry,
but I think you're missing something pretty important here.

Specifically, we chose NOT to use the SMIv2 'BITS' type (for the state
reasons flags) because it CANNOT be translated to SMIv1.

Cheers,
- Ira McDonald (outside consultant at Xerox)
  High North Inc

>--------------- Tom's and Harry's notes -------------------------------<
>Date: Thu, 19 Jun 1997 17:43:08 -0700
>From: Tom Hastings <[email-masked]>
>Subject: JMP> Job MIB comments [from Harry Lewis]
>
>Here are Harry Lewis's comments.
>
>Ira,
>
>Could you respond to Harry and JMP about his issue over IMPLIED
>and DateAndTime?
>
>>7. IMPLIED/IMPLICIT - See pg. 61
>>
>>The note reads "an IMPLICIT statement is NOT provided in the following INDEX
>>clause, since it
>>was not an SMIv2 feature. Therefore, the extra ASN.1 tag SHALL be included in
>>the varbind
>>in the SNMP request and the response."
>>
>>First, we think the terminology is IMPLIED, not IMPLICIT. 
>
>Agreed. The NOTE should say IMPLIED, not IMPLICIT.  (IMPLICIT is what
>ASN.1 uses for the same concept.  SNMP uses IMPLIED).
>
>>Also, we think the IMPLIED statement
>>SHOULD (SHALL?;-) be included because it saves a byte on each varbind. If you
>>left this
>>out because it is not part of v1 (as stated) I think there are other examples
>>(like DateAndTime)
>>where you are using v2 constructs.
>>
>>>>> Harry Lewis <<<
>
>Thanks,
>Tom